Subject: Re: Summer of Code project ideas due this Friday

From: Thomas Rast <[email-masked]>
Date: Fri, 11 Mar 2011 14:31:03 +0100

Jeff King wrote:
> On Thu, Mar 10, 2011 at 06:15:23PM +0100, Thomas Rast wrote:
> 
> > * Clean up add -p
> 
> One more wishlist item for this. I use "add -p" for almost all of my
> adds these days, because I like the final review check. So after a
> conflicted merge, I find myself doing "add -p" to stage my resolution.
> The current behavior is that it shows the --cc diff and exits. It would
> be cool to handle staging the resolution, which would involve converting
> the combined diff into something that can be applied.

Good idea, thanks.

I put this (with your idea) and the word-merge thing on the wiki.
I'll let Jonathan decide what to do about the fast-import stream
filtering.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch